%global srcname stem
%global _description\
Stem is a Python controller library that you can use to interact with Tor.\
With it you can write scripts and applications with capabilities similar\
to nyx.\
\
From a technical standpoint, Stem is a Python implementation of Tor's\
directory and control specifications.

%global tests_enabled 0

Name: python-stem
Version: 1.8.2
Release:    1%{?dist}
Summary: Python controller library for Tor
License: LGPLv3 and MIT
URL: https://stem.torproject.org/
Source0: %{pypi_source}
BuildArch: noarch
BuildRequires: make
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-sphinx
BuildRequires: python3-sphinx-autodoc-typehints
%if %{?tests_enabled}
BuildRequires: python3-mock
BuildRequires: python3-cryptography
BuildRequires: python3-pyflakes
BuildRequires: python3-pycodestyle
%endif

%description %_description

%package -n python3-%{srcname}
Summary: %{summary}
Suggests: %{name}-doc = %{version}-%{release}

%description -n python3-%{srcname} %_description

%package doc
Summary: %{summary}

%description doc %_description

%prep
%autosetup -n %{srcname}-%{version} -p 1

%build
%py3_build
pushd docs
%make_build html
%make_build text
%make_build man
popd

%install
%py3_install
%py3_shebang_fix %{buildroot}%{_bindir}/tor-prompt
find docs/_build -name .buildinfo -delete
install -D -m 0644 docs/_build/man/%{srcname}.1 %{buildroot}%{_mandir}/man1/%{srcname}.1

%check
%if %{?tests_enabled}
%{__python3} run_tests.py --unit
%endif

%files -n python3-%{srcname}
%license LICENSE
%{_bindir}/tor-prompt
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-*.egg-info

%files doc
%doc README.md docs/_build/html docs/_build/text
%license LICENSE
%{_mandir}/man1/%{srcname}.1*

%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.2-1
- initial build
